%global momorel 1

%define real_name AnyEvent
%define real_ver 4.45

Summary:	Framework for multiple event loops
Name:		perl-AnyEvent
Version: 	4.450
Release:	%{momorel}m%{?dist}
License:	Artistic or GPL
Group:		Development/Libraries
URL:		http://search.cpan.org/~mlehmann/AnyEvent/
Source0:	http://www.cpan.org/authors/id/M/ML/MLEHMANN/AnyEvent-%{real_ver}.tar.gz
NoSource:	0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	perl-Event
BuildRequires:	perl-Event-Lib
BuildRequires:	perl-Coro
BuildRequires:	perl-Glib
BuildRequires:	perl-Tk
Requires:	perl-EV
Requires:	perl-Event-Lib
Requires:	perl-Coro >= 4.2
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
AnyEvent provides a framework for multiple event loops.

%prep
%setup -q -n %{real_name}-%{real_ver}

# Filter unwanted Requires:
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
  sed -e '/perl(EV)/d' | \
  sed -e '/^perl(Qt/d' | \
  sed -e '/^perl(IO::Async::Handle/d' | \
  sed -e '/^perl(AnyEvent::Impl::Qt/d'

EOF
%define __perl_requires %{_builddir}/AnyEvent-%{real_ver}/%{name}-req
chmod +x %{name}-req

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor destdir="%{buildroot}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -f %{buildroot}%{perl_archlib}/perllocal.pod \
           %{buildroot}%{perl_vendorarch}/auto/*/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes COPYING README
%{perl_vendorlib}/AnyEvent/
%{perl_vendorlib}/AnyEvent.pm
%{_mandir}/man3/*

%changelog
* Wed Jul  1 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.450-1m)
- update to 4.45

* Sun Jun 28 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.420-2m)
- fix perl-AnyEvent-req

* Sat Jun 27 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.420-1m)
- update to 4.42

* Thu Jun 25 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.412-1m)
- update to 4.412

* Fri Jun 12 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.411-1m)
- update to 4.411

* Sun May 17 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.41-1m)
- update to 4.41

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.12-3m)
- rebuild against rpm-4.6

* Sat May 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.12-2m)
- no NoSource

* Sat Apr 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.12-1m)
- update to 3.12

* Sat Apr 19 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.11-1m)
- update to 3.11

* Fri Apr 18 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.1-1m)
- update to 3.1

* Mon Apr 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0-1m)
- update to 3.0

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.9-2m)
- rebuild against gcc43

* Tue Jan 29 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.9-1m)
- update to 2.9

* Mon Nov 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.8-1m)
- update to 2.8

* Sat Nov 24 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.7-1m)
- update to 2.7

* Sat Nov 10 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.6-1m)
- update to 2.6

* Wed Nov  7 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.55-1m)
- update to 2.55

* Thu Jul 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.54-1m)
- update to 2.54

* Sun Jul  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.53-1m)
- update to 2.53

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2.52-3m)
- use vendor

* Fri Mar 23 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.52-2m)
- modify requires and buildrequires

* Thu Mar 22 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.52-1m)
- import to Momonga from freshrpms.net

* Wed Apr 19 2006 Matthias Saou <http://freshrpms.net/> 1.02-1
- Initial RPM release.

